@echo off
cls
path = c:\dos;c:\qemm;c:\arc;c:\im;c:\util;c:\;

Set IM=C:\IM
Set TZ=EST5EDT
Set Pointnet=24926

c:
cd \im

rem *  X00 e 1 B,1,38400
rem *  This is where X00 would be loaded as a TSR.

rem *  This is where InterMail is loaded and reloaded after maintenance
rem *  events, BBS exits, conference mail processing, etc.

:loop

c:
cd \im

rem * Load InterMail with Squish type busy file support

IM /#1 /bsy:d:\outbound.sq %1 %2 %3 %4 %5

rem *  The errorlevel that IM exits with is picked up below.

if errorlevel 200 goto sysmaint     rem * Nightly system maintenance
if errorlevel 150 goto procmail     rem * Process inbound mail
if errorlevel 100 goto bbscall      rem * When someone calls the BBS
if errorlevel  10 goto done         rem * User exit
if errorlevel   8 exit              rem * InterMail already loaded
if errorlevel   6 goto fossilerr
if errorlevel   5 goto modemerr
if errorlevel   4 goto modemdead
if errorlevel   3 goto nospace
if errorlevel   1 goto fatal

rem *  Routines to handle BBS calls go here
rem *  (the example passes control to a batch file created by IM)

:bbscall

doBBS

rem *  Automatic system maintenance
:sysmaint
rem * [ ..assorted nightly turnover stuff goes here.. ]

:procmail
rem * Call batch file to process mail

call mail_in.bat

rem * See MAIL_IN.BAT

rem * Run MsgTrack to catch any stray echomail/netmail
cd \im\msgtrack
mt
cd \im
goto loop

:fossilerr
echo.
echo X00 not installed!
echo.
goto done

:modemerr
echo.
echo The modem does not respond correctly!
echo.
rem *  One solution, if this happens occasionally, may be to let the batch
rem *  file reboot the computer by removing the REM in front of XU BOOT below.
rem *  Note that Autoexec.Bat must call Imrun.Bat for this to work.
rem XU BOOT
goto done

:modemdead
echo.
echo The modem seems completely dead!
echo.
goto done

:nospace
echo.
echo Out of diskspace
echo.
goto done

:fatal
echo.
echo FATAL error reported by InterMail!
echo.

rem *  Exitpoint from the batch file
:done

rem *  Uninstall the X00 SIO driver if necessary
rem *  X00
