;                    +--  +--+  -  -  ---  +---  -  -
;                    |    |  |  |  |   |   |     |  |
;                    +-+  |  |  |  |   |   +--+  +--+
;                      |  | \|  |  |   |      |  |  |
;                    --+  +--\  +--+  ---  ---+  -  -
;
;          ----------------------------------------------------
;          The Maximus-CBCS Tosser/Scanner/Packer, Version 1.01
;          ----------------------------------------------------

Address 1:249/1

ArcmailAttach
MaxAttach 256

Compress             c:\im\squish\Compress.Cfg
Routing              c:\im\squish\Route.Cfg
Outbound             d:\outbound

LogFile              c:\im\log\Squish.Log

LogLevel             6

Origin               DarkStar Systems * Kingston, Ont.

Secure

;Buffers <writebuf> <outbuf> <msgbuf>
;Buffers Small  =  64  64  64
;Buffers Medium =  76 128 128
;Buffers Large  = 128 512 256
; Buffers 128 1024 64
Buffers Large

CheckZones

QuietArc

Duplicates 2000

; KillIntransit

KillBlank

;             Address         Password
;             -----------     --------
Password      1:249/1         password
Password      1:249/2         password

; Pack ZIP    1:249/1 99
;

DefaultPacker Arc

ForwardFrom File World

SaveControlInfo

BusyFlags
TossBadMsgs
BatchUnarc

StripAttributes

AddMode

Swap g:\temp\$$squish.swp

;Nuke

MaxPkt 256

;       -f              Uses the FTSC-0001 (*.MSG) storage format.  (default)
;       -p<node>        Alternate primary address.
;       -s              Strip the private bit from all messages received.
;       -x<node>        Stops <node> from SENDING mail into the echo.
;       -0              Passthru area.
;       -+<node>        Add <node> to the SEEN-BYs.
;       -$              Uses the Squish message format.
;       -$m<msgs>       Keep up to a maximum of <msgs> messages .
;       -$s<msgs>       Skip the first <msgs> messages when killing ('-$m').
;       -$d<age>        Keep up to a maximum of <age> days' worth of messages.
;       -h              Hide.  Force all incoming message to be private.

; No AREAS.BBS is used with Squish.Spc.  In theory, anyone who calls with
; compressed mail should *not* be sending echomail, only netmail.
;
; AreasBBS        Areas.BBS

NetFile          c:\im\unsecure
Secure
CheckZones

; The same netmail areas may be kept in both Squish.Cfg and Squish.Spc,
; however the Bad_Msgs and Dupes directories should be different.  Again,
; since we shouldn't be receiving *any* echomail from a non-passworded
; node, all we want is netmail which comes in compressed by BinkleyTerm
; and TIMS systems.

;Area    TAG                  PATH              FLAGS ROUTING
NETArea  NetMail              c:\im\msg\matrix   -f -h
BadArea  Bad_Msgs             c:\im\msg\bad_mail -f
DupeArea Dupes                c:\im\msg\bad_mail -f

;
;                               ###
